Subject: [bug#58339] [PATCH 0/2] Add simple Guix extensions as example

From: zimoun <[email-masked]>
Date: Thu, 6 Oct 2022 18:36:09 +0200

Hi,

Based on patch#57982 [1], here are two simple examples for extending Guix
subcommands.  Here are starter versions which will be improved.

The first is based on a binary; I replaced 'git-send-email' by 'hello'.

The second is based on a simple pure Guile module.  Somehow, it is the first
step to document Guix extensions as proposed at 10 years event [2].

For instance, it is not handy to manually tweak the %standard-phases of
guile-build-system when maybe we could have guix-build-system (or whatever
more relevant name, bikeshed open ;-)).  Neither to tweak the native-inputs.

1: <http://issues.guix.gnu.org/issue/57952>
2: <https://10years.guix.gnu.org/video/guix-repl-to-infinity-and-beyond/>

Cheers,
simon

Efraim Flashner (1):
  gnu: Add guix-hello.

zimoun (1):
  gnu: Add guix-example.

 gnu/local.mk                     |  1 +
 gnu/packages/guix-extensions.scm | 97 ++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)
 create mode 100644 gnu/packages/guix-extensions.scm

base-commit: 5b42b64ea89564c58325d16d3d0f4a0a03ebae0f
-- 
2.36.0